package book

import "github.com/gin-gonic/gin"

func registerBookAuthorRelationRoutes(router gin.IRoutes, routerWithoutRecord gin.IRoutes) {
	router.POST("createBookAuthorRelation", bookApiGroup.BookAuthorRelationApi.CreateBookAuthorRelation)
	router.DELETE("deleteBookAuthorRelation", bookApiGroup.BookAuthorRelationApi.DeleteBookAuthorRelation)
	router.DELETE("deleteBookAuthorRelationByIds", bookApiGroup.BookAuthorRelationApi.DeleteBookAuthorRelationByIds)
	router.PUT("updateBookAuthorRelation", bookApiGroup.BookAuthorRelationApi.UpdateBookAuthorRelation)
	routerWithoutRecord.GET("findBookAuthorRelation", bookApiGroup.BookAuthorRelationApi.FindBookAuthorRelation)
	routerWithoutRecord.GET("getBookAuthorRelationList", bookApiGroup.BookAuthorRelationApi.GetBookAuthorRelationList)
}
